package com.gic.haoban.manage.api.service;

import com.gic.haoban.manage.api.dto.QywxTagCallbackDTO;
import com.gic.haoban.manage.api.dto.QywxTagInfoDTO;
import com.gic.haoban.manage.api.dto.QywxTagItemDTO;
import com.gic.haoban.manage.api.dto.QywxTagRelationDTO;

import java.util.List;

/**
 * Created 2021/6/21.
 *
 * @author hua
 */
public interface QywxTagApiService {
    /**
     * 拉取企业微信标签
     *
     * @param wxEnterpriseId
     */
    public void pullQywxTag(String wxEnterpriseId);

    /**
     * 同步会员导购标签到qywx
     *
     * @param infoDTO 标签
     * @param items   标签项
     */
    public void syncTagToQywx(String wxEnterpriseId, String enterpriseId, QywxTagInfoDTO infoDTO, List<QywxTagItemDTO> items);

    /**
     * 关闭同步
     *
     * @param wxEnterpriseId
     * @param tagRelationId
     */
    public void closeSync(String wxEnterpriseId, String tagRelationId);

    /**
     * 查询所有同步的标签
     *
     * @param wxEnterpriseId
     * @return
     */
    public List<QywxTagRelationDTO> listAllByWxEnterpriseId(String wxEnterpriseId);

    /**
     * 新增回调
     *
     * @param callbackDTO
     */
    public void addQywxTag(QywxTagCallbackDTO callbackDTO);

    /**
     * 删除回调
     *
     * @param callbackDTO
     */
    public void delQywxTag(QywxTagCallbackDTO callbackDTO);

    /**
     * 修改回调
     *
     * @param callbackDTO
     */
    public void editQywxTag(QywxTagCallbackDTO callbackDTO);

}
