import cn.hutool.core.thread.ConcurrencyTester;
import cn.hutool.core.thread.ThreadUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.Page;
import com.gic.commons.util.GICMQClientUtil;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.manage.api.dto.HandoverExternalDTO;
import com.gic.haoban.manage.api.service.*;
import com.gic.haoban.manage.service.service.StaffService;
import com.gic.haoban.manage.service.service.TestService;
import com.gic.mq.sdk.GicMQClient;
import com.gic.wechat.api.service.qywx.QywxUserApiService;
import org.apache.commons.lang3.StringUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class HandoverTest {

    private static Logger logger = LoggerFactory.getLogger(HandoverTest.class);

    @Autowired
    private HandoverOperationApiService handoverOperationApiService;


    @Test
    public void test() {
        String wxEnterpriseId = "ca66a01b79474c40b3e7c7f93daf1a3b";
        handoverOperationApiService.dealQywxEnterpriseHandover(wxEnterpriseId);
    }

    @Test
    public void test1() {
        String wxEnterpriseId = "ca66a01b79474c40b3e7c7f93daf1a3b";
        handoverOperationApiService.dealQywxEnterpriseHandoverResult(wxEnterpriseId);
    }

    @Test
    public void test2() {
        String wxEnterpriseId = "ca66a01b79474c40b3e7c7f93daf1a3b";
        List<String> staffIds = new ArrayList<>();
        staffIds.add("471ef6fbeed84319944e68265855ecb4");
        Page<HandoverExternalDTO> handoverExternalDTOPage = handoverOperationApiService.pageHandoverFriend(wxEnterpriseId, null, staffIds, null, new BasePageInfo());

        System.out.println(JSONObject.toJSONString(handoverExternalDTOPage));
    }

    @Test
    public void test3() {
        String wxEnterpriseId = "ca66a01b79474c40b3e7c7f93daf1a3b";
        GicMQClient clientInstance = GICMQClientUtil.getClientInstance();
        try {
            clientInstance.sendMessage("haobanEcmTaskDataCallback", "11111");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
